/**
 * Template set for app contrib.
 * @memberof module:apeman-tmpl-contrib-official
 * @namespace appContrib
 */

"use strict";

var templating = require('apeman-commons-templating'),
    ci = require('apeman-tmpl-contrib-ci'),
    license = require('apeman-tmpl-contrib-license'),
    dotfiles = require('apeman-tmpl-contrib-dotfiles');

var _tmpl = require('./_tmpl');

/** @lends appContrib */
module.exports = templating.budRenderer({
    'ci/cover.js': ci.coverJs({}),
    'ci/release.js':ci.releaseJs({}),
    'ci/report.js': ci.reportJs({}),
    'ci/test.js': ci.testJs({}),
    'ci/update.js': ci.updateJs({}),
    'doc/overview.md': {
        force: false,
        mode: '644',
        tmpl: _tmpl('app-contrib/overview.md.hbs')

    },
    'doc/example-Apemanfile.js': {
        force: true,
        mode: '444',
        tmpl: _tmpl('app-contrib/example-Apemanfile.js.hbs')
    },
    'index.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('app-contrib/index.js.hbs')
    },
    'define.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('app-contrib/define.js.hbs')
    },
    'define_test.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('app-contrib/define_test.js.hbs')
    },
    '.gitignore': dotfiles.gitignore({}),
    '.signature.json': {
        force: false,
        mode: '644',
        tmpl: _tmpl('app-contrib/signature.json.hbs')
    },
    '.travis.yml':dotfiles.travisYml({}),
    'LICENSE': license.mitLicense({}),
    'README.md': {
        force: true,
        mode: '444',
        tmpl: _tmpl('app-contrib/README.md.hbs')
    }
});
