/**
 * Template set for command.
 * @memberof module:apeman-tmpl-contrib-official
 * @namespace command
 */

"use strict";

var templating = require('apeman-commons-templating'),
    ci = require('apeman-tmpl-contrib-ci'),
    license = require('apeman-tmpl-contrib-license'),
    dotfiles = require('apeman-tmpl-contrib-dotfiles');

var _tmpl = require('./_tmpl');

/** @lends command */
module.exports = templating.budRenderer({
    'bin/{{pkg.name}}': {
        force: true,
        mode: '555',
        tmpl: _tmpl('command/bin.js.hbs')
    },
    'ci/cover.js': ci.coverJs({}),
    'ci/release.js': ci.releaseJs({}),
    'ci/report.js': ci.reportJs({}),
    'ci/test.js': ci.testJs({}),
    'ci/update.js': ci.updateJs({}),
    'doc/examples/Apemanfile-example.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('command/Apemanfile-example.js.hbs')
    },
    'doc/examples/usage-example.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('command/usage-example.js.hbs')
    },
    'lib/index.js': {
        force: true,
        mode: '444',
        tmpl: _tmpl('command/index.js.hbs')
    },
    'lib/{{command.name}}.js': {
        force: true,
        mode: '444',
        tmpl: _tmpl('command/command.js.hbs')
    },
    'lib/{{command.name}}_runner.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('command/command_runner.js.hbs')
    },
    'lib/{{command.name}}_logger.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('command/command_logger.js.hbs')
    },
    '.gitignore': dotfiles.gitignore({}),
    '.travis.yml': dotfiles.travisYml({}),
    'LICENSE': license.mitLicense({}),
    'README.md': {
        force: true,
        mode: '444',
        tmpl: _tmpl('command/README.md.hbs')
    }
});
