/**
 * Template set for demo
 * @memberof module:apeman-tmpl-contrib-official
 * @namespace demo
 */

"use strict";

var templating = require('apeman-commons-templating'),
    ci = require('apeman-tmpl-contrib-ci'),
    license = require('apeman-tmpl-contrib-license'),
    dotfiles = require('apeman-tmpl-contrib-dotfiles');

var _tmpl = require('./_tmpl');

/** @lends demo */
module.exports = templating.budRenderer({
    'ci/cover.js': ci.coverJs({}),
    'ci/release.js': ci.releaseJs({}),
    'ci/report.js': ci.reportJs({}),
    'ci/test.js': ci.testJs({}),
    'ci/update.js': ci.updateJs({}),
    '.gitignore': dotfiles.gitignore({}),
    '.travis.yml': dotfiles.travisYml({}),
    'LICENSE': license.mitLicense({}),
    'README.md': {
        force: true,
        mode: '444',
        tmpl: _tmpl('demo/README.md.hbs')
    }
});
