/**
 * Template set for task contrib.
 * @memberof module:apeman-tmpl-contrib-official
 * @namespace taskContrib
 */

"use strict";


var templating = require('apeman-commons-templating'),
    ci = require('apeman-tmpl-contrib-ci'),
    license = require('apeman-tmpl-contrib-license'),
    dotfiles = require('apeman-tmpl-contrib-dotfiles');

var _tmpl = require('./_tmpl');

/** @lends taskContrib */
module.exports = templating.budRenderer({
    'ci/cover.js': ci.coverJs({}),
    'ci/release.js': ci.releaseJs({}),
    'ci/report.js': ci.reportJs({}),
    'ci/test.js': ci.testJs({}),
    'ci/update.js': ci.updateJs({}),
    'doc/example-Apemanfile.js': {
        force: true,
        mode: '444',
        tmpl: _tmpl('task-contrib/example-Apemanfile.js.hbs')
    },
    'index.js': {
        force: true,
        mode: '444',
        tmpl: _tmpl('task-contrib/index.js.hbs')
    },
    'create.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('task-contrib/create.js.hbs')
    },
    'create_test.js': {
        force: false,
        mode: '644',
        tmpl: _tmpl('task-contrib/create_test.js.hbs')
    },
    '.gitignore': dotfiles.gitignore({}),
    '.travis.yml': dotfiles.travisYml({}),
    '.signature.json': {
        force: false,
        mode: '644',
        tmpl: _tmpl('task-contrib/signature.json.hbs')
    },
    'LICENSE': license.mitLicense({}),
    'README.md': {
        force: true,
        mode: '444',
        tmpl: _tmpl('task-contrib/README.md.hbs')
    }
});
