/**
 * Template set for task contrib.
 * @memberof module:apeman-tmpl-contrib-official
 * @function tmplContrib
 * @param {object} config - Bud configuration.
 */

"use strict";


var ci = require('apeman-tmpl-contrib-ci'),
    license = require('apeman-tmpl-contrib-license'),
    dotfiles = require('apeman-tmpl-contrib-dotfiles');

var _flattenBuds = require('./_flatten_buds');


/** @lends tmplContrib */
module.exports = function (config) {
    return _flattenBuds({
        'ci/cover.js': ci.coverJs({}),
        'ci/release.js': ci.releaseJs({}),
        'ci/report.js': ci.reportJs({}),
        'ci/test.js': ci.testJs({}),
        'ci/update.js': ci.updateJs({}),
        '.gitignore': dotfiles.gitignore({}),
        '.npmignore': dotfiles.npmignore({}),
        '.codeclimate.yml': dotfiles.codeclimateYml({}),
        'LICENSE': license.mitLicense({}),
    });
};