/**
 * Test case for appContrib.
 * Runs with nodeunit.
 */

var appContrib = require('../lib/app_contrib.js');

var path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};


exports['Render app contrib.'] = function (test) {
    var dirname = path.resolve(tmpDir, 'testing-app');
    mkdirp.sync(dirname);
    process.chdir(dirname);
    appContrib.render({
        pkg: {
            name: 'Foo'
        },
        usage: __filename,
        options: {
            bar: 'This is bar'
        },
        signature: require('../doc/mockups/mock-app-signature.json'),
        see: {
            quz: 'http://example.com'
        }
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};