/**
 * Test case for command.
 * Runs with nodeunit.
 */

var command = require('../lib/command.js'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};


exports['Render command.'] = function (test) {
    var dirname = path.resolve(tmpDir, 'testing-command');
    mkdirp.sync(dirname);
    process.chdir(dirname);
    command.render({
        command: {
            name: 'yo',
            params: {foo: {}},
            description: 'baz',
            options: {
                'configuration': {},
                'quz': {
                    "desc": "This is quz.",
                    "default": "baz"
                }
            }
        },
        pkg: {
            name: 'bar-baz'
        },
        exampleApemanfile: require.resolve('../doc/mockups/mock-Apemanfile.js'),
        exampleUsage: require.resolve('../doc/mockups/mock-command-example.js')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};

