/**
 * Test case for commons.
 * Runs with nodeunit.
 */

var commons = require('../lib/commons.js'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};

exports['Render commons.'] = function (test) {
    var dirname = path.resolve(tmpDir, 'testing-commons');
    mkdirp.sync(dirname);
    process.chdir(dirname);
    commons.render({
        module: {
            name: 'ja',
            params: {foo: {}},
            description: 'baz',
            options: {
                'quz': {
                    "desc": "This is quz."
                }
            }
        },
        pkg: {
            name: 'bar-baz'
        },
        usages: [
            {
                "title": "foo",
                "description": "This is how to use foo",
                example: require.resolve('../doc/mockups/mock-module-example.js')
            }
        ]
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};

