/**
 * Test case for demo.
 * Runs with nodeunit.
 */

var demo = require('../lib/demo.js'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};

exports['Demo'] = function (test) {
    var dirname = path.resolve(tmpDir, 'testing-demo');
    mkdirp.sync(dirname);
    process.chdir(dirname);
    demo.render({
        url: 'http://example.com/foo.git'
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};