/**
 * Test case for taskContrib.
 * Runs with nodeunit.
 */

var taskContrib = require('../lib/task_contrib.js'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};
exports['Render task contrib.'] = function (test) {
    var dirname = path.resolve(tmpDir, 'testing-task');
    mkdirp.sync(dirname);
    process.chdir(dirname);
    taskContrib.render({
        pkg: {
            name: 'apeman-task-contrib-foo',
            description: 'This is foo.'
        },
        signature: require('../doc/mockups/mock-task-signature.json'),
        exampleTask: 'my-example-task',
        see: {
            quz: 'http://example.com'
        }
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};

