/**
 * Test case for tmplContrib.
 * Runs with nodeunit.
 */

var tmplContrib = require('../lib/tmpl_contrib.js'),
    path = require('path'),
    coz = require('coz'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};


exports['Render tmpl contrib.'] = function (test) {
    var dirname = path.resolve(tmpDir, 'testing-tmpl');
    mkdirp.sync(dirname);
    process.chdir(dirname);
    var buds = tmplContrib();
    coz.render(buds, function (err) {
        test.ifError(err);
        test.done();
    });
};
