/**
 * Test case for uiContrib.
 * Runs with nodeunit.
 */

var uiContrib = require('../lib/ui_contrib.js'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};


exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};
exports['Render ui contrib.'] = function (test) {
    var dirname = path.resolve(tmpDir, 'testing-ui');
    mkdirp.sync(dirname);
    process.chdir(dirname);
    uiContrib.render({
        pkg: {
            name: 'Foo'
        },
        usage: __filename,
        dependencies: {
            "angular": "1.4.3"
        },
        doc: {
            foo: 'http://bar'
        }
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};

